# COMPersistHelper::LoadFromFile

(PHP 5, PHP 7)

COMPersistHelper::LoadFromFile — Load object from file

### Description

public COMPersistHelper::LoadFromFile ( string `$path` [, int `$flags` = 0 ] ) : bool

Opens the specified file and initializes an object from the file contents.

### Parameters

`path`
  The name of the file from which to load the object.
`flags`
  The access mode to be used when opening the file. Possible values are taken from the » STGM enumeration. The method can treat this value as a suggestion, adding more restrictive permissions if necessary. If `flags` is 0, the implementation is supposed to open the file using whatever default permissions are used when a user opens the file.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Errors/Exceptions

A com_exception is thrown if the associated object does not implement the COM interface IPersistFile, or when calling the IPersistFile::Load() method failed.